Subject: Home directory not created for new users
From: Andy Patterson <[email-masked]>
To: [email-masked]
Date: Tue, 21 Jul 2015 19:18:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Following up on the thread from guix-devel:
<https://lists.gnu.org/archive/html/guix-devel/2015-07/msg00554.html>

On 0.8.3-pre, after a clean install, users listed in the system
configuration file do not have a home directory automatically created
for them in some circumstances. This causes the user to be initially
unable to login. Specifically, with a separately mounted home folder,
the folder may not be created. I note that when un-mounting /home, the
expected folder does appear.